Subject: Re: linux-next: Tree for Jun 18 (kmsg problems)

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 18 Jun 2012 15:15:35 -0700

On Tue, Jun 19, 2012 at 08:01:09AM +1000, Stephen Rothwell wrote:
> [Adding Greg and Kay]
> 
> On Mon, 18 Jun 2012 10:13:11 -0700 Randy Dunlap <[email-masked]> wrote:
> >
> > on x86_64:
> > 
> > arch/x86/kernel/reboot.o: In function `kmsg_dump_get_line':
> > reboot.c:(.text+0xf0): multiple definition of `kmsg_dump_get_line'
> > arch/x86/kernel/setup.o:setup.c:(.text+0x0): first defined here
> > arch/x86/kernel/reboot.o: In function `kmsg_dump_get_buffer':
> > reboot.c:(.text+0x100): multiple definition of `kmsg_dump_get_buffer'
> > arch/x86/kernel/setup.o:setup.c:(.text+0x10): first defined here
> > arch/x86/kernel/reboot.o: In function `kmsg_dump_rewind':
> > reboot.c:(.text+0x110): multiple definition of `kmsg_dump_rewind'
> > arch/x86/kernel/setup.o:setup.c:(.text+0x20): first defined here
> 
> Caused by commit e2ae715d66bf ("kmsg - kmsg_dump() use iterator to
> receive log buffer content") from the driver-core.current tree.

I'm building my tree right now, and I can't seem to hit this.

> This was reported a few days ago.  Why is it not fixed yet?

It was reported Friday evening, on a holiday weekend for some of us, we
are trying the best we can :)

> Especially since it is in a branch that is supposedly "bug fixes"?

It fixes up a reported problem, and we had 3 people test it and said it
resolved the issue for them, no build problems reported.

Randy, can I get a copy of your .config that duplicates this?

thanks,

greg k-h